CGAL 6.2 - Triangulated Surface Mesh Simplification: CGAL::Surface_mesh_simplification::GarlandHeckbert_triangle_policies< TriangleMesh, GeomTraits > Class Template Reference

CGAL 6.2 - Triangulated Surface Mesh Simplification

Loading...
Searching...
No Matches
List of all members | Public Types
CGAL::Surface_mesh_simplification::GarlandHeckbert_triangle_policies< TriangleMesh, GeomTraits > Class Template Reference
Reference Manual

`#include <CGAL/Surface_mesh_simplification/Policies/Edge_collapse/GarlandHeckbert_triangle_policies.h>`

## Definition

template<typename TriangleMesh, typename GeomTraits>
class CGAL::Surface_mesh_simplification::GarlandHeckbert_triangle_policies< TriangleMesh, GeomTraits >

The class `GarlandHeckbert_triangle_policies` regroups the cost and placement policies using the triangle-based Garland-Heckbert strategy (Section Garland-Heckbert Cost and Placement Strategy).

This strategy considers distances to triangular faces, rather than the supporting planes of the faces as in `GarlandHeckbert_plane_policies`.

Both the cost and the placement policies must be used together as they internally use and share information associating quadrics to vertices. Note however, that they may still be wrapped with behavior modifying classes such as `Constrained_placement` or `Bounded_normal_change_filter`.

Template Parameters

  TriangleMesh | is the type of surface mesh being simplified, and must be a model of the `MutableFaceGraph` and `HalfedgeListGraph` concepts.
  GeomTraits | must be a model of `Kernel`. If you have passed a traits class in the optional named parameters in the call to `edge_collapse()`, the types must be identical.

These policies depend on the third party Eigen library.

See also
  `GarlandHeckbert_probabilistic_plane_policies`
  `GarlandHeckbert_probabilistic_triangle_policies`

## Public Types
typedef unspecified_type | Get_cost
| The type of the Garland Heckbert cost functor, a model of the concept `GetCost`
typedef unspecified_type | Get_placement
| The type of the Garland Heckbert placement functor, a model of the concept `GetPlacement`

## Creation
| GarlandHeckbert_triangle_policies (TriangleMesh &tmesh)
| initializes the Garland-Heckbert Triangle policies.

## Accessors
const Get_cost & | get_cost () const
const Get_placement & | get_placement () const